管理対象クラスタのネームスペースを取得します
GET /accounts/{account_id}/topology/v1/managedClusters/{managedCluster_id}/namespaces/{namespace_id}
JSONレスポンスボディに格納されている名前空間APIリソースを返します。
パラメータ
| Name | を入力します | 入力 | 必須 | 説明 |
|---|---|---|---|---|
account_id |
string |
path(パス) |
True |
包含するアカウントリソースのID
|
managedCluster_id |
string |
path(パス) |
True |
包含するmanagedClusterリソースのID |
namespace_id |
string |
path(パス) |
True |
リストする名前空間コレクションのID |
応答
Status: 200, Returns the stored Namespace API resource in the JSON response body.
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
リソースのメディアタイプ。定義された値は次のとおりです:
|
バージョン |
string |
True |
リソースのバージョン。定義された値は次のとおりです:
|
ID |
string |
True |
リソースのグローバル一意識別子。定義された値は次のとおりです:
|
リンク |
True |
リソースに対してサポートされている操作を説明するリンク。 |
|
名前 |
string |
True |
名前空間の名前を示す値を含むJSON文字列。定義された値は次のとおりです:
|
namespaceState |
string |
True |
名前空間の状態を示す値を含むJSON文字列。定義された値は次のとおりです:
|
namespaceStateDetails |
True |
「状態」が「状態 a」、「状態 b」、または「状態 c」に遷移した理由に関する詳細情報をリストした JSON オブジェクトの JSON 配列。詳細情報がない場合は、この配列は空になります。定義された値は次のとおりです:
|
|
kubernetesLabels |
False |
JSONオブジェクトのJSON配列。各JSONオブジェクトには、名前空間に関連付けられたKubernetesラベルが含まれています。定義された値は次のとおりです:
|
|
kubernetesUID |
string |
True |
名前空間リソースの Kubernetes 生成 UID を含む JSON 文字列 |
clusterID |
string |
True |
名前空間が含まれるクラスタのグローバルに一意な識別子を含むJSON文字列。定義済みの値は次のとおりです:
|
systemType |
string |
False |
名前空間がシステム名前空間の一種であることを示すJSON文字列。このフィールドは、システム名前空間の種類(存在する場合)を識別します(バージョン1.1のみ)。定義された値は次のとおりです:
|
メタデータ |
True |
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
|
回答例
{
"type": "application/astra-namespace",
"version": "1.2",
"id": "214dc2eb-19a6-5444-b156-f4b6b551a81a",
"links": [
{
"rel": "canonical",
"href": "/accounts/0b311ae7-d89a-4a11-a52c-1349ca090415/topology/v1/namespaces/7d451d2f-196e-4234-aee9-7e2376047e63",
"type": "application/vnd.netapp.astra.namespace"
},
{
"rel": "collection",
"href": "/accounts/0b311ae7-d89a-4a11-a52c-1349ca090415/topology/v1/clouds/e0490197-872e-4de8-9287-b04a938e801f/clusters/0f284377-e5dc-4dcd-bacd-3197f2b8a347/namespaces",
"type": "application/vnd.netapp.astra.namespaces"
}
],
"name": "kube-system",
"namespaceState": "discovered",
"namespaceStateDetails": [
{
"type": "https://astra.netapp.io/stateDetails/9",
"title": "Namespace Discovered",
"detail": "The namespace was discovered in the indicated managed cluster"
}
],
"kubernetesLabels": [
{
"name": "app.kubernetes.io/environment",
"value": "dev"
}
],
"clusterID": "0f284377-e5dc-4dcd-bacd-3197f2b8a347",
"kubernetesUID": "4f28c377-e5dc-4dcd-b7cd-319cf2b8a345",
"systemType": "kubernetes",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
応答
Status: 401, Unauthorized
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
応答
Status: 400, Bad request
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
配列["invalidParams"] |
False |
無効なクエリパラメータのリスト |
回答例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
応答
Status: 403, Forbidden
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
エラー
Status: 404, Not found
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
エラー応答の例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
用語の意味
定義を参照
targetSchema
accept-post
accept-put
ヒント
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
ステータス |
string |
False |
|
許可する |
array[string] |
False |
|
accept-post |
False |
||
権限 |
array[string] |
False |
|
accept-put |
False |
type_astra_link
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
rel |
string |
True |
|
href |
string |
True |
|
を入力します |
string |
False |
|
targetSchema |
False |
||
タイトル |
string |
False |
|
ヒント |
False |
additionalDetails
type_astra_stateDetail
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
additionalDetails |
False |
type_astra_label
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
|
Value |
string |
True |
type_astra_metadata
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
-
Astraメタデータスキーマに準拠
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
ラベル |
True |
||
作成タイムスタンプ |
string |
True |
|
modificationTimestamp |
string |
True |
|
作成者 |
string |
True |
|
modifiedBy |
string |
False |
invalidParams
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
無効なクエリパラメータの名前 |
理由 |
string |
True |
クエリパラメータが無効な理由 |